/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Consultorpromocion;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface ConsultorpromocionFacadeLocal {

    void create(Consultorpromocion consultorpromocion);

    void edit(Consultorpromocion consultorpromocion);

    void remove(Consultorpromocion consultorpromocion);

    Consultorpromocion find(Object id);

    List<Consultorpromocion> findAll();

    List<Consultorpromocion> findRange(int[] range);

    int count();

}
